:root{
    --color-pink : #FF9494;
    --color-lightPink: #FFE3E1;
    --color-pug: #FFF5E4;
    --color-peach: #FFD1D1;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
a{
    text-decoration: none;
 
}
li{
    list-style: none;
}
/* -------------------- header --------------------------- */
header {
    width: 100%;
    height: 80px;
    position: fixed;
    top: 0;
    z-index: 10;
    background-color: #fff;
    box-shadow: 1px 2px 2px 3px rgba(0, 0, 0,0.1) !important;
}
header nav #logo a{
    font-size: 34px;
    color: var(--color-pink);
    display: block;
    padding: 10px;
    margin: 0px 50px;
}
@media (max-width:768px) {
    header nav #logo a{
        font-size: 24px;
        padding: 10px 5px;
        margin: 0px;
    }
    header #user{
        font-size: 18px;
    }
    header nav #menues li #addCart{
        margin-right: 100px !important;
    }
  
}
header nav #userData{
    flex: 1 !important;
    text-align: center;
    visibility: hidden;
    font-size: 24px;
    color: var(--color-pink);
    text-transform: capitalize;
 }

header nav #links , header nav #menues{
    position: fixed;
    right: 0;
    padding: 10px;
    margin: 0px 50px;
}
header nav #menues{
    visibility: hidden;
    background-color: #fff;
}
header nav #links{
    background-color: #fff;
}
header nav #links a , header nav #menues a{
    font-size: 28px;
    padding: 10px;
    margin: 0px 5px;
    color: var(--color-pink);
}
header nav #menues li{
    position: relative;
    padding: 0 10px;
}
header nav #menues li #addCart{
    display: none;
    color: var(--color-pink);
    position: absolute;
    bottom: 0;
    right: 0;
    margin-right: -12px;
    margin-bottom: 8px ;
    line-height: 20px;
}
header nav #menues li i{
    display: block;
    color: var(--color-pink);
    font-size: 25px;
    cursor: pointer;
    line-height: 50px;
}

header nav #menues .items{
    width: 250px;
    padding: 5px;
    margin: 5px;
    border: 1px solid var(--color-peach);
    color: var(--color-pink);
    font-size: 18px;
    justify-content: space-between;
   
}
.menu-link{
    font-size: 18px !important;
    color: var(--color-peach) !important;
    text-align: center !important;
}
header nav #menues #dropdown{
    width: auto;
   max-height: 75vh;
    overflow: hidden;
    overflow-y: scroll;
}
.listBtn button{
    border: 0;
    background: none;
}
/* ---------------------login & register ------------------------ */
main #form{
    margin-top: 10px;
    width: 45%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%  , -50%);
    background-color: var(--color-pug);
    padding: 20px ;
}
main #form #header{
    font-size: 50px;
    letter-spacing: 2px;
    text-align: center;
    color: var(--color-pink);
    text-transform: capitalize;
}
main #form input{
    display: block;
    width: 100%;
    border: 1px solid var(--color-lightPink);
    outline: none !important;
    padding: 5px;
    margin: 5px 0;
}
main #form span{
    font-size: 14px;
    color: var(--color-pink);
}
main #form button{
    display: block;
    width: 40%;
    font-size: 30px;
    margin: auto;
    padding: 10px;
    color: #fff;
    border: 1px solid var(--color-lightPink);
    background-color: var(--color-pink);
    border-radius: 10px;
}
main #form button:hover{
    opacity: 0.7;
}
.form-label{
    font-size: 28px;
    color: var(--color-pink);
}
.form-check-label{
    color: var(--color-pink);
}
@media (max-width:768px) {
    main #form{
        width: 100%;
    }
    main #form #header{
        font-size: 40px;
    }
}
 /* ---------------------------allproduct --------------------------- */
.form-search button{
    background-color: var(--color-pink);
    border: 0;
    margin-left: -10px;
    border-radius: 10px;
    color: #fff;
    font-size: 20px;
    padding: 5px;

}
#select{
    color: var(--color-pink);
    font-size: 20px;
}
 .allproduct{
    margin-top: 100px;
    padding: 20px;
 }
 #product , #productFavourt{
    display: flex;
    justify-content: center;
 }
 .allproduct .cardBody{
    height: 80vh;
 }
 .allproduct .card:hover{
    transform: scale(1.05);
 }
.allproduct .cardBody img{
    width: 100%;
    height: 60%;
}
.allproduct .cardBody h2{
    font-size: 22px;
    color: var(--color-pink);  
}
.allproduct .cardBody p{
    font-size: 20px;
    color: var(--color-pink);  
}
.allproduct .cardBody .card-icon {
    /* height: 10%; */
    display: flex;
    justify-content: space-between;
    /* align-items: flex-end; */
}

.allproduct .cardBody .card-icon .btn1{
    font-size: 24px;
    background-color: var(--color-pink);  
    color: var(--color-pug);
    border-radius: 10px;
    padding: 5px;
    border: 0;
}
.allproduct .cardBody .card-icon i{
    font-size: 30px;
    cursor: pointer;
    color: #ddd;
    line-height: 50px;
}

.cardTitle{
    position: relative;
    text-align: center;
    font-size: 50px;
    color: var(--color-peach);
    margin-bottom: 20px;
}
.cardTitle::after{
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50% ,0%);
    width: 200px;
    height: 3px;
    background-color: var(--color-pink);
    border-radius: 15px;
}
.cardTitle:hover::after{
    width: 300px;
}
.allproduct .cardProducts{
    display: flex;
}
.allproduct .cardProducts img{
    width: 50%;
    height: 200px;
}

.allproduct .cardProducts h2{
    font-size: 24px;
    color: var(--color-pink);  
}
.allproduct .cardProducts p{
    font-size: 20px;
    color: var(--color-pink);  
}
.allproduct .cardProducts .card-info{
    width: 50%;
    margin-left: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.allproduct .cardProducts .card-icon {
    display: flex;
    justify-content: space-between;
  
}
#totalPtice{
    text-align: center;
    font-size: 30px;
    color: var(--color-pink);
    display: none;
}

.carousel-item{
    display: block;
    margin-right: 0;
    flex: 0 0 calc(100% / 3);
}
.swiper-button{
    color: var(--color-pink);
}



